Bug 492343

Summary: kms kills multihead
Product: [Fedora] Fedora Reporter: mail <mail>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: airlied, ajax, bskeggs
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-08 01:14:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description mail@romal.de 2009-03-26 11:03:30 EDT
with kms enabled multihead does not work well:

[romal@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1360 x 1360
LVDS1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 330mm x 210mm
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
DVI1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 1600mm x 900mm
   1360x768       60.0 +
   1280x720       60.0  
   1024x768       60.0* 
   800x600        60.3  
   640x480        60.0     59.9  
[romal@localhost ~]$ rpm --query --all | grep nou
xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11.x86_64
[romal@localhost ~]$ 

gnome-display-properties drives both displays with 1024*768.
 
Without kms:
Comment 1 mail@romal.de 2009-03-26 11:10:51 EDT
Without kms:

[romal@localhost ~]$ xrandr
Screen 0: minimum 320 x 200, current 1360 x 768, maximum 1680 x 1680
LVDS-0 connected (normal left inverted right x axis y axis)
   1680x1050      59.9 +
VGA-1 disconnected (normal left inverted right x axis y axis)
DVI-2 connected 1360x768+0+0 (normal left inverted right x axis y axis) 1600mm x 900mm
   1360x768       60.0*+
   1280x720       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
[romal@localhost ~]$ 

gnome-display-properties sees the correct names, sizes and resolutions.

The system is a laptop in a docking station, the laptop-display has 1680x1050, the external (DVI from the docking station) has 1360*768 and gdm is running in 1680*1050, so the gdm-screen is cropped. After login the external screen is correct.
Comment 2 Ben Skeggs 2009-03-26 19:30:38 EDT
There's been a few changes since the -10 release to that area.  How do things fare with the build from http://koji.fedoraproject.org/koji/buildinfo?buildID=95423 ?
Comment 3 mail@romal.de 2009-03-27 02:06:24 EDT
[root@localhost ~]# rpm --query xorg-x11-drv-nouveau
xorg-x11-drv-nouveau-0.0.12-17.20090327gitf431e20.fc11.x86_64
[root@localhost ~]# 

Helps, sort of.

The kernel complains about an unknown kernel parameter and ignores it. But kms works.

Now the boot screen (plymouth) is ok. While booting plymouth changes from correct 1360*768/60 to the laptop-display-resolution, so the monitor flickers once and the right part of plymouth is outside the monitor.

GDM changes the screen resolution again and and runs in the correct resolution.

gnome-properties-display does not see the names and resolution of the displays. Both are labeld as unkown. This works without kms.
Comment 4 mail@romal.de 2009-03-27 02:08:46 EDT
With kms enabled:


[root@localhost ~]# xrandr -q --verbose
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1360 x 1360
LVDS1 connected 1024x768+0+0 (0x5e) normal (normal left inverted right x axis y axis) 330mm x 210mm
	Identifier: 0x5b
	Timestamp:  35940
	Subpixel:   unknown
	Clones:    
	CRTC:       0
	CRTCs:      0 1
	Panning:    0x0+0+0
	Tracking:   0x0+0+0
	Border:     0/0/0/0
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	DITHERING: off
	SCALING_MODE: fullscreen
  1024x768 (0x5e)   65.0MHz -HSync -VSync *current
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x5f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x60)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
VGA1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x5c
	Timestamp:  35940
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	DITHERING: off
	SCALING_MODE: non-gpu
DVI1 connected 1024x768+0+0 (0x5e) normal (normal left inverted right x axis y axis) 1600mm x 900mm
	Identifier: 0x5d
	Timestamp:  35940
	Subpixel:   unknown
	Clones:    
	CRTC:       1
	CRTCs:      0 1
	Panning:    0x0+0+0
	Tracking:   0x0+0+0
	Border:     0/0/0/0
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	DITHERING: off
	SCALING_MODE: fullscreen
  1360x768 (0x61)   85.5MHz +HSync +VSync +preferred
        h: width  1360 start 1424 end 1536 total 1792 skew    0 clock   47.7KHz
        v: height  768 start  771 end  777 total  795           clock   60.0Hz
  1280x720 (0x62)   74.2MHz -HSync -VSync
        h: width  1280 start 1390 end 1430 total 1650 skew    0 clock   45.0KHz
        v: height  720 start  725 end  730 total  750           clock   60.0Hz
  1024x768 (0x5e)   65.0MHz -HSync -VSync *current
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x5f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x63)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  640x480 (0x60)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
[root@localhost ~]#
Comment 5 mail@romal.de 2009-03-27 02:13:32 EDT
Without KMS:

Now LVDS1 has his native resolution back. gnome-properties-display works again.

[root@localhost ~]# xrandr -q --verbose
Screen 0: minimum 320 x 200, current 1360 x 768, maximum 1680 x 1680
LVDS-0 connected (normal left inverted right x axis y axis)
	Identifier: 0x5b
	Timestamp:  27847
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff0006af7b1700000000
		01110103802115780a87f594574f8c27
		27505400000001010101010101010101
		0101010101017c2e90a0601a1e403020
		36004bcf100000190000000000000000
		00000000000000000000000000fe004a
		543333310042313534535731000000fe
		002a3a454d6c8bb1ff02010a202000e0
	DITHERING: 1 (0x00000001)	range:  (0,1)
	SCALING_MODE: aspect
  1680x1050 (0x5e)  119.0MHz -HSync -VSync +preferred
        h: width  1680 start 1728 end 1760 total 1840 skew    0 clock   64.7KHz
        v: height 1050 start 1053 end 1059 total 1080           clock   59.9Hz
VGA-1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x5c
	Timestamp:  27847
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	SCALING_MODE: panel
DVI-2 connected 1360x768+0+0 (0x5f) normal (normal left inverted right x axis y axis) 1600mm x 900mm
	Identifier: 0x5d
	Timestamp:  27847
	Subpixel:   unknown
	Clones:    
	CRTC:       0
	CRTCs:      0 1
	Panning:    0x0+0+0
	Tracking:   0x0+0+0
	Border:     0/0/0/0
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff004dd9010801010101
		0111010380a05a780a0dc9a057479827
		12484c21080001010101010101010101
		010101010101662150b051001b304070
		360040846300001e011d007251d01e20
		6e285500408463000018000000fc0053
		4f4e592054560a2020202020000000fd
		00303e0e3009000a2020202020200172
		020321704d1413121116150504030207
		0601230907078301000066030c001000
		80011d80d0721c1620102c2580408463
		00009e011d8018711c1620582c250040
		8463000098011d00bc52d01e20b82855
		4040846300001e011d007251d01e206e
		28550040846300001e8c0ad090204031
		200c405500b084430000180000000026
	DITHERING: 0 (0x00000000)	range:  (0,1)
	SCALING_MODE: aspect
  1360x768 (0x5f)   85.5MHz +HSync +VSync *current +preferred
        h: width  1360 start 1424 end 1536 total 1792 skew    0 clock   47.7KHz
        v: height  768 start  771 end  777 total  795           clock   60.0Hz
  1280x720 (0x60)   74.2MHz -HSync -VSync
        h: width  1280 start 1390 end 1430 total 1650 skew    0 clock   45.0KHz
        v: height  720 start  725 end  730 total  750           clock   60.0Hz
  1024x768 (0x61)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x62)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x63)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
[root@localhost ~]#
Comment 6 Ben Skeggs 2009-03-29 18:36:09 EDT
Hello.

The build of the 2D driver at http://koji.fedoraproject.org/koji/buildinfo?buildID=95539 should correct the problem with gnome-display-properties not seeing the names of your monitor.

For the other issues, I'd be interested in seeing /var/log/Xorg.0.log both while running with and without kms.
Comment 7 Ben Skeggs 2009-04-08 01:14:29 EDT
The above-mentioned build would not have fixed gnome-display-properties as expected.  However, this should be definitely be fixed as of xorg-x11-drv-nouveau-0.0.12-24.20090408git960a5c8.f11.  If not, please reopen.